<script type="text/javascript" src="/js/cubix-ui-v1.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-button-v1.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-shadow-v1.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-popup-v3.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-grid-v2.0.source.js"></script>
<script type="text/javascript" src="/js/mootabs1.2.js"></script>
<script type="text/javascript" src="/js/datepicker.js"></script>


<script type="text/javascript">
Cubix.ready = function () {
  // UI
	new Cubix.Shadow($('content'));

  // FILTERING
  function getFilterParams() {
		var uri = new URI('?' + $$('form')[0].toQueryString());
		return uri.get('data');
	};

	var initDateFilter = function(filter_form)
	{
		var defined_dates = {'today': 'Today', 'yesterday': 'Yesterday', 'last_7_days' : 'Last 7 days', 'this_month': 'This month', 'last_month': 'Last month'};
		var defined_dates2 = {'today': 'Today', 'tomorrow': 'Tomorrow', 'this_week': 'This week', 'next_week': 'Next week'};

		date_from_picker = $(filter_form).getElement('.f-date-from');
		var date_from =	new Picker.Date(date_from_picker, { pickerClass: 'datepicker',
			positionOffset: { x: -10, y: 0 }, allowEmpty: true, format: 'd M Y' });
		date_to_picker = $(filter_form).getElement('.f-date-to');
		var date_to = new Picker.Date(date_to_picker, { pickerClass: 'datepicker',
			positionOffset: { x: -10, y: 0 }, allowEmpty: true, format: 'd M Y' });
	};

	initDateFilter('a-search-form');
	
	var instantBookPopup = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 690
	});
			
	instantBookPopup.addEvent('loaded', function () {
	});
	
	window.instantBookPopup = instantBookPopup;
	
	var grid = Cubix.Grid.Instance = new Cubix.Grid('cx-grid', {
		preload: true,
		identifier: { field: 'id' },
		header: [
			{ title: 'ID', field: 'id', type: 'number', sortable: true },
			{ title: 'Escort Id', field: 'escort_id', type: ' number'},
			{ title: 'Start Date', field: 'start_date', type: 'DateTime'},
			{ title: 'End Date', field: 'start_date', type: 'DateTime', sortable: true},
			{ title: 'Location', field: 'location', type: 'string', sortable: true}
		],
    actions: [],
		sort: {
			field: 'id',
			dir: 'desc'
		},
		data: new Cubix.Grid.Loader({ url: '/sms/instant-book/escorts-data', params: getFilterParams })
	});
		
	grid.addEvent('loaded', function () {});

	new Cubix.Button($('btn-refresh'), { onClick: function () {
		grid.load();
	}, icon: 'refresh', caption: 'Search', classes: '' });

	new Cubix.Button($('btn-reset'), { onClick: function () {
		clearForm();
		grid.load();
	}, icon: 'undo', caption: 'Reset Form', classes: 'ml20' });

	function clearForm() {
		var inputs = $$('.c-filter-form')[0].getElements('input');

		inputs.each(function(input) {
			var input_type = input.get('type');
			if ( input_type != 'hidden' ) {
				if ( input_type == 'text' ) {
					input.set('value', '');
				}
				else {
					input.set('checked', '');
				}
			}
		});

		var selects = $$('.c-filter-form')[0].getElements('select');

		selects.each(function(select) {
			select.set('value', '');
		});
	};

	function initFormSubmit() {
		var inputs = $$('.c-filter-form')[0].getElements('input');

		inputs.each(function(input) {
			var input_type = input.get('type');

			if ( input_type != 'hidden' ) {
				if ( input_type == 'text' ) {
					input.addEvent('keyup', function(event) {
						if( event.key == 'enter' ) {
							grid.load();
						}
					});
				}
				else {
					input.addEvent('change', function(){
						grid.load();
					});
				}
			}
		});

		var selects = $$('.c-filter-form')[0].getElements('select');

		selects.addEvent('change', function(){
			if(this.get('id') != "f-filter-by"){
				grid.load();
			}
			
		});
	};

	initFormSubmit();
};
</script>

<div class="form-common gray c-filter-form">
	<form id="a-search-form">
		<fieldset class="inner mb10">
			<legend>Personal</legend>
			
			<div class="inner">
				<label for="escort_id">Escort Id</label>
				<input id="escort_id" type="text" class="txt w8" name="escort_id" value="<?= $this->filter_params['escort_id'] ?>" />
			</div>

			<div class="inner">
				<label for="status">Location</label>
				<?= $this->selectBox('location', 'location', array('outcall' => 'Outcall', 'incall' => 'Incall'), 'w16', $this->filter_params['location'], 'Any') ?>
			</div>
		</fieldset>
	
		<div class="clear"></div>
		
		<a id="btn-refresh"></a>
		<a id="btn-reset"></a>
		<div class="clear"></div>
	</form>
</div>

<div id="ajax-dest">
	<div id="cx-grid">
	</div>
</div>